diff -uNr scilab-2.4.orig/bin/dold scilab-2.4/bin/dold
--- scilab-2.4.orig/bin/dold	Tue May 13 00:34:39 1997
+++ scilab-2.4/bin/dold	Sat Aug 29 02:13:20 1998
@@ -1,4 +1,4 @@
-#!/bin/sh5
+#!/bin/sh
 OBJNM=/tmp/objnm$$
 JMPTAB=/tmp/jmptab$$
 #	Separons les .o des autres arguments
diff -uNr scilab-2.4.orig/bin/f77-linux scilab-2.4/bin/f77-linux
--- scilab-2.4.orig/bin/f77-linux	Tue May 13 00:34:39 1997
+++ scilab-2.4/bin/f77-linux	Thu Aug 27 23:26:42 1998
@@ -21,7 +21,8 @@
 
 s=/tmp/stderr_$$
 t=/tmp/f77_$$
-CC=${CC_f2c:-'/usr/bin/cc -m486'}
+#CC=${CC_f2c:-'/usr/bin/cc -m486'}
+CC=${CC_f2c:-'/usr/bin/cc'}
 EFL=${EFL:-/v/bin/efl}
 EFLFLAGS=${EFLFLAGS:-'system=portable deltastno=10'}
 F2C=${F2C:-/usr/bin/f2c}
diff -uNr scilab-2.4.orig/configure scilab-2.4/configure
--- scilab-2.4.orig/configure	Thu Jul 16 22:51:45 1998
+++ scilab-2.4/configure	Thu Aug 27 23:34:51 1998
@@ -1339,7 +1339,8 @@
     MAKEFILE_TARGET=Makefile.linux
    ;;
 # Linux ELF
-  *-pc-linux-gnu)
+  *-*-linux-gnu)
+#  *-pc-linux-gnu)
     LIEEELIB=
     echo $ac_n "checking for main in -lieee""... $ac_c" 1>&6
 echo "configure:1346: checking for main in -lieee" >&5
@@ -1378,7 +1379,7 @@
 fi
 
     CC=cc
-    CC_OPTIONS='-O -Dlinux -fwritable-strings'
+    CC_OPTIONS='-O -Dlinux -D_GNU_SOURCE -D_POSIX_SOURCE -fwritable-strings'
     CC_LDFLAGS=$LIEEELIB
     # find Fortran compiler
     # g77 already asked and found: good
@@ -1493,11 +1494,11 @@
       fi
     fi
     FC_OPTIONS=-O
-    FC_LDFLAGS="$LIEEELIB -ldl -rdynamic"
+    FC_LDFLAGS="$LIEEELIB -ldl -export-dynamic"
     LD=ld
     LD_LDFLAGS=$LIEEELIB
     if test "$enable_debug" = yes; then 
-      CC_OPTIONS='-g -Dlinux -fwritable-strings'
+      CC_OPTIONS='-g -Dlinux -D_GNU_SOURCE -D_POSIX_SOURCE -fwritable-strings'
       FC_OPTIONS=-g
     fi
     MAKEFILE_TARGET=Makefile.linux
diff -uNr scilab-2.4.orig/pvm3/conf/LINUXPPC.def scilab-2.4/pvm3/conf/LINUXPPC.def
--- scilab-2.4.orig/pvm3/conf/LINUXPPC.def	Thu Jan  1 09:00:00 1970
+++ scilab-2.4/pvm3/conf/LINUXPPC.def	Fri Aug 28 17:43:03 1998
@@ -0,0 +1,9 @@
+ARCHCFLAGS	=	-DNOWAIT3 -DRSHCOMMAND=\"/usr/bin/rsh\" \
+				-DNEEDENDIAN -DFDSETNOTSTRUCT -DHASERRORVARS \
+				-Dlinux -D_GNU_SOURCE -D_POSIX_SOURCE
+ARCHDLIB	=
+ARCHDOBJ	=
+ARCHLIB	=
+HASRANLIB	=	t
+AR			=	ar
+PVM_ARCH	=	LINUXPPC
diff -uNr scilab-2.4.orig/pvm3/conf/LINUXPPC.m4 scilab-2.4/pvm3/conf/LINUXPPC.m4
--- scilab-2.4.orig/pvm3/conf/LINUXPPC.m4	Thu Jan  1 09:00:00 1970
+++ scilab-2.4/pvm3/conf/LINUXPPC.m4	Fri Aug 28 17:44:50 1998
@@ -0,0 +1,19 @@
+divert(-1)
+undefine(`len')
+#
+# append an underscore to FORTRAN function names
+#
+define(`FUNCTION',`$1_')
+#
+# FORTRAN character strings are passed as follows:
+# a pointer to the base of the string is passed in the normal
+# argument list, and the length is passed by value as an extra
+# argument, after all of the other arguments.
+#
+define(`ARGS',`($1`'undivert(1))')
+define(`SAVE',`divert(1)$1`'divert(0)')
+define(`STRING_ARG',`$1_ptr`'SAVE(`, $1_len')')
+define(`STRING_ARG_DECL',`char * $1_ptr; int $1_len')
+define(`STRING_LEN',`$1_len')
+define(`STRING_PTR',`$1_ptr')
+divert(0)
diff -uNr scilab-2.4.orig/pvm3/lib/pvmgetarch scilab-2.4/pvm3/lib/pvmgetarch
--- scilab-2.4.orig/pvm3/lib/pvmgetarch	Tue Mar  3 22:30:01 1998
+++ scilab-2.4/pvm3/lib/pvmgetarch	Fri Aug 28 17:51:51 1998
@@ -69,6 +69,7 @@
 	*,CRAY-2 )              ARCH=CRAY2 ;;
 	Linux,i[3456]86 )       ARCH=LINUX ;;
 	Linux,sparc)			ARCH=LINUXSPARC ;;
+	Linux,ppc )       	ARCH=LINUXPPC ;;
 	BSD/OS,i[3456]86 )      ARCH=BSD386 ;;
 	FreeBSD,i386 )          ARCH=FREEBSD ;;
 	SUPER-UX,SX-3 )         ARCH=SX3 ;;
diff -uNr scilab-2.4.orig/routines/sound/misc.c scilab-2.4/routines/sound/misc.c
--- scilab-2.4.orig/routines/sound/misc.c	Mon Jun 22 16:21:54 1998
+++ scilab-2.4/routines/sound/misc.c	Thu Aug 27 23:26:42 1998
@@ -366,8 +366,10 @@
      int errcode;
 {
   static char  nomesg[30];
+#if __GNU_LIBRARY__ - 0 < 6
   extern int sys_nerr;
   extern char *sys_errlist[];
+#endif
   if (errcode < sys_nerr)
     return (sys_errlist[errcode]);
   else
diff -uNr scilab-2.4.orig/routines/xsci/wf_w_file.h scilab-2.4/routines/xsci/wf_w_file.h
--- scilab-2.4.orig/routines/xsci/wf_w_file.h	Tue May 13 00:34:24 1997
+++ scilab-2.4/routines/xsci/wf_w_file.h	Thu Aug 27 23:52:22 1998
@@ -29,9 +29,11 @@
 #include <ctype.h>
 #include <errno.h>
 
+#if __GNU_LIBRARY__ - 0 < 6
 extern int      errno;
 extern int      sys_nerr;
 extern char    *sys_errlist[];
+#endif
 
 #include <X11/Xlib.h>
 #include <X11/cursorfont.h>
